# Uses of Interface
org.talend.transform.runtime.api.RuntimeEngine

## Uses of RuntimeEngine in org.talend.transform.runtime.api

Fields in org.talend.transform.runtime.api declared as RuntimeEngine
Modifier and Type
Field
Description
`protected static RuntimeEngine`
RuntimeFactory.`_blueprintRuntime`
Methods in org.talend.transform.runtime.api that return RuntimeEngine
Modifier and Type
Method
Description
`static RuntimeEngine`
RuntimeFactory.`createRuntime()`
Create a new RuntimeEngine object, using the default repository location.
`static RuntimeEngine`
RuntimeFactory.`createRuntime(int options)`
For internal use only.
`protected static RuntimeEngine`
RuntimeFactory.`createRuntime(String application, String[] args, int options)`
`protected static RuntimeEngine`
RuntimeFactory.`findRuntimeOnClasspath()`
`protected static RuntimeEngine`
RuntimeFactory.`findRuntimeOnClasspath(ClassLoader cl)`
`RuntimeEngine`
ExecutionStatus.`getRuntime()`
Returns the `RuntimeEngine` associated with this execution status.
`static RuntimeEngine`
RuntimeFactory.`getRuntime()`
`RuntimeEngine`
RuntimeFactory.`getRuntimeBlueprint()`
`RuntimeEngine`
ResourceExecutorBase.`getRuntimeEngine()`
Methods in org.talend.transform.runtime.api with parameters of type RuntimeEngine
Modifier and Type
Method
Description
`static int`
RuntimeFactory.`countdownCloseRuntime(RuntimeEngine runtime)`
If runtime is not stopped already, countdown and if zero is reached (meaning no one is using this runtime) proceed with actual shutdown.
`static void`
RuntimeFactory.`setRuntime(RuntimeEngine runtime)`
`void`
RuntimeFactory.`setRuntimeBlueprint(RuntimeEngine runtime)`